| Home | Libraries | People | FAQ | More

##### basic_static_string::find_last_of (4 of 5 overloads)

Find the last occurrence of any of the characters within the string.

###### Synopsis

    size_type
    find_last_of(
        const_pointer s,
        size_type pos = npos) const;

###### Description

Finds the last occurrence of any of the characters within the string pointed to by `s` of length `count` within the string before or at the index `pos`, where `count` is `traits_type::length(s)`.

###### Complexity

Linear.

###### Return Value

The index corrosponding to the last occurrence of any of the characters in `{s, s + count)` within `{begin(), begin() + pos}` if it exists, and `npos` otherwise.

###### Parameters

Name | Description
--- | ---
`s` | The characters to search for.
`pos` | The index to stop searching at. The default argument for this parameter is `npos`.